package com.hzs.report.member.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


/**
 * <p>
 * 地区业绩统计VO
 * </p>
 *
 * @author zhangjing
 * @since 2023-05-31
 */
@Data
public class AreaAchieveStatVO {

    private static final long serialVersionUID = 1L;

    private Long pkId;
    private Long pkMember;
    /**
     * 地区类型 EAreaType
     */
    private Integer areaType;
    /**
     * 收货省
     */
    private String prName;

    /**
     * 省
     */
    private Integer reProvince;

    /**
     * 订单金额
     */

    private BigDecimal orderAmount;
    /**
     * 订单业绩
     */

    private BigDecimal orderAchieve;
    /**
     * 订单金额
     */
    private long orderAmount1;
    /**
     * 订单业绩
     */
    private long orderAchieve1;
    /**
     * 订单金额
     */

    private long orderAmount2;
    /**
     * 订单业绩
     */

    private long orderAchieve2;
    /**
     * 订单金额
     */

    private long orderAmount3;
    /**
     * 订单业绩
     */

    private long orderAchieve3;
    /**
     * 订单金额
     */

    private long orderAmount4;
    /**
     * 订单业绩
     */

    private long orderAchieve4;
    /**
     * 订单金额
     */

    private long orderAmount5;
    /**
     * 订单业绩
     */

    private long orderAchieve5;
    /**
     * 订单金额
     */

    private long orderAmount6;
    /**
     * 订单业绩
     */

    private long orderAchieve6;
    /**
     * 订单金额
     */

    private long orderAmount7;
    /**
     * 订单业绩
     */

    private long orderAchieve7;
    /**
     * 订单金额
     */

    private long orderAmount8;
    /**
     * 订单业绩
     */

    private long orderAchieve8;
    /**
     * 订单金额
     */

    private long orderAmount9;
    /**
     * 订单业绩
     */

    private long orderAchieve9;
    /**
     * 订单金额
     */

    private long orderAmount10;
    /**
     * 订单业绩
     */

    private long orderAchieve10;
    /**
     * 订单金额
     */

    private long orderAmount11;
    /**
     * 订单业绩
     */

    private long orderAchieve11;
    /**
     * 订单金额
     */

    private long orderAmount12;
    /**
     * 订单业绩
     */

    private long orderAchieve12;
    /**
     * 订单金额
     */

    private long orderAmount13;
    /**
     * 订单业绩
     */

    private long orderAchieve13;
    /**
     * 订单金额
     */

    private long orderAmount14;
    /**
     * 订单业绩
     */

    private long orderAchieve14;
    /**
     * 订单金额
     */

    private long orderAmount15;
    /**
     * 订单业绩
     */

    private long orderAchieve15;
    /**
     * 订单金额
     */

    private long orderAmount16;
    /**
     * 订单业绩
     */

    private long orderAchieve16;
    /**
     * 订单金额
     */

    private long orderAmount17;
    /**
     * 订单业绩
     */

    private long orderAchieve17;
    /**
     * 订单金额
     */

    private long orderAmount18;
    /**
     * 订单业绩
     */

    private long orderAchieve18;
    /**
     * 订单金额
     */

    private long orderAmount19;
    /**
     * 订单业绩
     */

    private long orderAchieve19;
    /**
     * 订单金额
     */

    private long orderAmount20;
    /**
     * 订单业绩
     */

    private long orderAchieve20;
    /**
     * 订单金额
     */

    private long orderAmount21;
    /**
     * 订单业绩
     */

    private long orderAchieve21;
    /**
     * 订单金额
     */

    private long orderAmount22;
    /**
     * 订单业绩
     */

    private long orderAchieve22;
    /**
     * 订单金额
     */

    private long orderAmount23;
    /**
     * 订单业绩
     */

    private long orderAchieve23;
    /**
     * 订单金额
     */

    private long orderAmount24;
    /**
     * 订单业绩
     */

    private long orderAchieve24;
    /**
     * 订单金额
     */

    private long orderAmount25;
    /**
     * 订单业绩
     */

    private long orderAchieve25;
    /**
     * 订单金额
     */

    private long orderAmount26;
    /**
     * 订单业绩
     */

    private long orderAchieve26;
    /**
     * 订单金额
     */

    private long orderAmount27;
    /**
     * 订单业绩
     */

    private long orderAchieve27;
    /**
     * 订单金额
     */

    private long orderAmount28;
    /**
     * 订单业绩
     */

    private long orderAchieve28;
    /**
     * 订单金额
     */

    private long orderAmount29;
    /**
     * 订单业绩
     */

    private long orderAchieve29;
    /**
     * 订单金额
     */

    private long orderAmount30;
    /**
     * 订单业绩
     */

    private long orderAchieve30;
    /**
     * 订单金额
     */

    private long orderAmount31;
    /**
     * 订单业绩
     */

    private long orderAchieve31;
    /**
     * 订单金额
     */

    private long orderAmountSum;
    /**
     * 订单业绩
     */

    private long orderAchieveSum;




    /**
     * 汇率
     */
    private BigDecimal rate;

    /**
     * 国家
     */
    private Integer pkCountry;

    /**
     * 创建时间开始时间
     */
    private String startDate;
    private String queryTime;

    /**
     * 创建时间结束时间
     */
    private String endDate;

    private List<Integer> orderTypeList;

    /**
     * 日期
     */
    private String creationTime;


    public void setOrderAmount(int i, long value) {
        switch (i) {
            case 1:
                setOrderAmount1(value);
                break;
            case 2:
                setOrderAmount2(value);
                break;
            case 3:
                setOrderAmount3(value);
                break;
            case 4:
                setOrderAmount4(value);
                break;
            case 5:
                setOrderAmount5(value);
                break;
            case 6:
                setOrderAmount6(value);
                break;
            case 7:
                setOrderAmount7(value);
                break;
            case 8:
                setOrderAmount8(value);
                break;
            case 9:
                setOrderAmount9(value);
                break;
            case 10:
                setOrderAmount10(value);
                break;
            case 11:
                setOrderAmount11(value);
                break;
            case 12:
                setOrderAmount12(value);
                break;
            case 13:
                setOrderAmount13(value);
                break;
            case 14:
                setOrderAmount14(value);
                break;
            case 15:
                setOrderAmount15(value);
                break;
            case 16:
                setOrderAmount16(value);
                break;
            case 17:
                setOrderAmount17(value);
                break;
            case 18:
                setOrderAmount18(value);
                break;
            case 19:
                setOrderAmount19(value);
                break;
            case 20:
                setOrderAmount20(value);
                break;
            case 21:
                setOrderAmount21(value);
                break;
            case 22:
                setOrderAmount22(value);
                break;
            case 23:
                setOrderAmount23(value);
                break;
            case 24:
                setOrderAmount24(value);
                break;
            case 25:
                setOrderAmount25(value);
                break;
            case 26:
                setOrderAmount26(value);
                break;
            case 27:
                setOrderAmount27(value);
                break;
            case 28:
                setOrderAmount28(value);
                break;
            case 29:
                setOrderAmount29(value);
                break;
            case 30:
                setOrderAmount30(value);
                break;
            case 31:
                setOrderAmount31(value);
                break;
            // 添加更多case语句来处理不同的i值
            default:
                // 默认情况下不做任何处理
        }
    }

    public void setOrderAchieve(int i, long value) {
        switch (i) {
            case 1:
                setOrderAchieve1(value);
                break;
            case 2:
                setOrderAchieve2(value);
                break;
            case 3:
                setOrderAchieve3(value);
                break;
            case 4:
                setOrderAchieve4(value);
                break;
            case 5:
                setOrderAchieve5(value);
                break;
            case 6:
                setOrderAchieve6(value);
                break;
            case 7:
                setOrderAchieve7(value);
                break;
            case 8:
                setOrderAchieve8(value);
                break;
            case 9:
                setOrderAchieve9(value);
                break;
            case 10:
                setOrderAchieve10(value);
                break;
            case 11:
                setOrderAchieve11(value);
                break;
            case 12:
                setOrderAchieve12(value);
                break;
            case 13:
                setOrderAchieve13(value);
                break;
            case 14:
                setOrderAchieve14(value);
                break;
            case 15:
                setOrderAchieve15(value);
                break;
            case 16:
                setOrderAchieve16(value);
                break;
            case 17:
                setOrderAchieve17(value);
                break;
            case 18:
                setOrderAchieve18(value);
                break;
            case 19:
                setOrderAchieve19(value);
                break;
            case 20:
                setOrderAchieve20(value);
                break;
            case 21:
                setOrderAchieve21(value);
                break;
            case 22:
                setOrderAchieve22(value);
                break;
            case 23:
                setOrderAchieve23(value);
                break;
            case 24:
                setOrderAchieve24(value);
                break;
            case 25:
                setOrderAchieve25(value);
                break;
            case 26:
                setOrderAchieve26(value);
                break;
            case 27:
                setOrderAchieve27(value);
                break;
            case 28:
                setOrderAchieve28(value);
                break;
            case 29:
                setOrderAchieve29(value);
                break;
            case 30:
                setOrderAchieve30(value);
                break;
            case 31:
                setOrderAchieve31(value);
                break;
            // 添加更多case语句来处理不同的i值
            default:
                // 默认情况下不做任何处理
        }
    }







}
